%define name tkxinput
%define version 1.0
%define release 2mdk

Summary: A Tk extension to handle additional input devices in X11
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: tkxinput-1.0.tk8.3.patch.bz2
Patch1: tkxinput-1.0.wacom.patch.bz2
Copyright: GPL
Group: System/XFree86
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
The package provides an extension to Tk that add input device
management capabilities. It is possible to bind extended input
events to tcl scripts, to get information about the devices, to
change devices parameters and to change the default pointer and
keyborad devices. It is also possible to send input events from
one application to an other one.

%prep
%setup
%patch0 -p1 -b .tk8
%patch1 -p1 -b .wacom

%build
make CFLAGS="$RPM_OPT_FLAGS" TCL_LIB=tcl8.3 TK_LIB=tk8.3

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/TkXInput $RPM_BUILD_ROOT/usr/bin
make install prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
/usr/lib/TkXInput
/usr/bin/*

%changelog
* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- activated wacom support

* Tue Mar  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-1mdk
- first version

# tkxinput.spec ends here
